Package org.apache.wiki.api.events

# Interface CustomWikiEventListener<T>

Type Parameters:
  `T` - the type of the events' source.

All Superinterfaces:
  `EventListener`, `Initializable`, `org.apache.wiki.event.WikiEventListener`

public interface CustomWikiEventListener<T> extends org.apache.wiki.event.WikiEventListener, Initializable

## Field Summary

Fields
Modifier and Type
Field
Description
`static final List<CustomWikiEventListener<?>>`
`LISTENERS`
`WikiEventListener`s are stored on a `List< WeaKReference >` so we use this List to strong reference custom event listeners.

## Method Summary

Modifier and Type
Method
Description
`T`
`client()`
Returns the object of the events' source.

### Methods inherited from interface org.apache.wiki.api.engine.Initializable

`initialize`

### Methods inherited from interface org.apache.wiki.event.WikiEventListener

`actionPerformed`

## Field Details

### LISTENERS

static final List<CustomWikiEventListener<?>> LISTENERS
`WikiEventListener`s are stored on a `List< WeaKReference >` so we use this List to strong reference custom event listeners.

## Method Details

### client

T client()
Returns the object of the events' source. Typically, it will be obtained on the `Initializable.initialize(Engine, Properties)` method, and returned here.

Returns:
  the object of the events' source.